Bug 1691524 - wp-tinymce.js.gz is empty
Summary: wp-tinymce.js.gz is empty
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: wordpress
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-21 19:56 UTC by Karel Klic
Modified: 2019-04-07 01:29 UTC (History)
2 users (show)

Fixed In Version: wordpress-5.1.1-4.fc30 wordpress-5.1.1-4.fc29 wordpress-5.1.1-4.fc28 wordpress-5.1.1-4.el7 wordpress-5.1.1-4.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:19:27 UTC


Attachments (Terms of Use)

Description Karel Klic 2019-03-21 19:56:58 UTC
Description of problem:
/usr/share/wordpress/wp-includes/js/tinymce/wp-tinymce.js is missing.
/usr/share/wordpress/wp-includes/js/tinymce/wp-tinymce.js.gz is empty.

This situation is probably caused by code in the spec file, which regenerates wp-tinymce.js.gz after patching some tinymce components.
The code seem to assume wp-tinymce.js.gz exists, but the upstream archive contains only the wp-tinymce.js non-compressed file.

Version-Release number of selected component (if applicable):
wordpress-5.1-1.el7

How reproducible:
Always.

Actual results:
TinyMCE functionality in admin pages is broken.
Javascript errors are thrown when editing pages (ReferenceError: tinymce is not defined). Some WordPress plugins (Elementor for example) do not work as expected because of this issue.

Expected results:
wp-tinymce.js exists like in the upstream archive.
wp-tinymce.js.gz might exist as well, but it shouldn't be empty.

Additional info:

Comment 3 Fedora Update System 2019-03-22 09:20:15 UTC
wordpress-5.1.1-4.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a9ba95beb4

Comment 4 Fedora Update System 2019-03-22 09:20:22 UTC
wordpress-5.1.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-15679bf3f9

Comment 5 Fedora Update System 2019-03-22 09:20:25 UTC
wordpress-5.1.1-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4825f7896c

Comment 6 Fedora Update System 2019-03-22 09:20:36 UTC
wordpress-5.1.1-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-13e2a65b5e

Comment 7 Fedora Update System 2019-03-22 09:20:39 UTC
wordpress-5.1.1-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-86961fcae7

Comment 8 Fedora Update System 2019-03-22 19:17:03 UTC
wordpress-5.1.1-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a9ba95beb4

Comment 9 Fedora Update System 2019-03-23 02:41:17 UTC
wordpress-5.1.1-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4825f7896c

Comment 10 Fedora Update System 2019-03-23 02:58:42 UTC
wordpress-5.1.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-15679bf3f9

Comment 11 Fedora Update System 2019-03-23 03:12:47 UTC
wordpress-5.1.1-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-86961fcae7

Comment 12 Fedora Update System 2019-03-23 03:15:35 UTC
wordpress-5.1.1-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-13e2a65b5e

Comment 13 Fedora Update System 2019-03-29 19:19:27 UTC
wordpress-5.1.1-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-03-31 03:00:32 UTC
wordpress-5.1.1-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-03-31 03:11:21 UTC
wordpress-5.1.1-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-04-07 00:52:01 UTC
wordpress-5.1.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-04-07 01:29:53 UTC
wordpress-5.1.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.